%
% function sdml_numtag(x:double):
%
% prints a special tag (+/-inf, NaN)
%

function sdml_numtag(x)
global fh
global TEXTDATA
global SEP
global NAN
global POSINF
global NEGINF

if ~TEXTDATA
            if isnan (x) fprintf (fh,'<e><nan/></e> ');
        elseif x==inf fprintf (fh,'<e><posinf/></e> ');
        elseif x==-inf fprintf (fh,'<e><neginf/></e> ');
        else sdml_tag (num2str(x));
        end
else
            if isnan (x) fprintf (fh,'%s%s',NAN,SEP(1));
        elseif x==inf fprintf (fh,'%s%s',POSINF,SEP(1));
        elseif x==-inf fprintf (fh,'%s%s',NEGINF,SEP(1));
        else sdml_tag (num2str(x));
        end
end
