%
% function sdml_check (x)
%
% checks whether x is an array or a list
% and calls the corresponding function
%

function sdml_check (x)

if ~is_struct(x) & ~isstr(x) % numeric array?
        if ~all(imag(x)==0) % not real ?
            sdml_array(x,'complex',isempty(x));
        elseif all (sdml_smod(x,1)==0) & all(x>=0) & all (x<2) % logical ?
            sdml_array(x,'logical',isempty(x));
        elseif isempty(x) | any(any(sdml_smod(x,1)))
            sdml_array(x,'real',isempty(x));
        else
            sdml_array(x,'integer',isempty(x));
        end;

elseif isstr(x) % char array ?





        sdml_array (x,'character',isempty(x)) % else -> leave as char array
elseif is_struct(x) sdml_structure(x) % structure ?

else sdml_list (x); end % anything else -> handle as list !
